--- old/usr/src/test/zfs-tests/tests/functional/bootfs/bootfs_008_neg.ksh	Wed Aug 31 16:20:26 2016
+++ new/usr/src/test/zfs-tests/tests/functional/bootfs/bootfs_008_neg.ksh	Wed Aug 31 16:20:26 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -51,7 +51,7 @@
 	fi
 
 	if [[ -f $VDEV ]]; then
-		log_must $RM -f $VDEV
+		log_must rm -f $VDEV
 	fi
 }
 
@@ -64,9 +64,9 @@
 log_onexit cleanup
 log_assert $assert_msg
 
-log_must $MKFILE $MINVDEVSIZE $VDEV
-log_must $ZPOOL create $TESTPOOL $VDEV
-log_must $ZFS create $COMP_FS
+log_must mkfile $MINVDEVSIZE $VDEV
+log_must zpool create $TESTPOOL $VDEV
+log_must zfs create $COMP_FS
 
 typeset -i i=0
 set -A gtype "gzip" "gzip-1" "gzip-2" "gzip-3" "gzip-4" "gzip-5" \
@@ -73,9 +73,9 @@
 	     "gzip-6" "gzip-7" "gzip-8" "gzip-9"
 
 while (( i < ${#gtype[@]} )); do
-	log_must $ZFS set compression=${gtype[i]} $COMP_FS
-	log_mustnot $ZPOOL set bootfs=$COMP_FS $TESTPOOL
-	log_must $ZFS set compression=off $COMP_FS
+	log_must zfs set compression=${gtype[i]} $COMP_FS
+	log_mustnot zpool set bootfs=$COMP_FS $TESTPOOL
+	log_must zfs set compression=off $COMP_FS
 	(( i += 1 ))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cache/cache.kshlib	Wed Aug 31 16:20:26 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cache/cache.kshlib	Wed Aug 31 16:20:26 2016
@@ -25,7 +25,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -33,10 +33,10 @@
 function cleanup
 {
 	if datasetexists $TESTPOOL ; then
-		log_must $ZPOOL destroy -f $TESTPOOL
+		log_must zpool destroy -f $TESTPOOL
 	fi
 	if datasetexists $TESTPOOL2 ; then
-		log_must $ZPOOL destroy -f $TESTPOOL2
+		log_must zpool destroy -f $TESTPOOL2
 	fi
 }
 
@@ -50,17 +50,17 @@
 	typeset pool=$1
 
 	typeset -i ret=0
-	$ZPOOL status -xv $pool > /dev/null 2>&1
+	zpool status -xv $pool > /dev/null 2>&1
 	ret=$?
 
-	$ZPOOL iostat > /dev/null 2>&1
+	zpool iostat > /dev/null 2>&1
 	((ret |= $?))
 
 	typeset mntpnt=$(get_prop mountpoint $pool)
-	$DD if=/dev/random of=$mntpnt/testfile.$$ &
+	dd if=/dev/random of=$mntpnt/testfile.$$ &
 	typeset pid=$!
 
-	$ZPOOL iostat -v 1 3 > /dev/null
+	zpool iostat -v 1 3 > /dev/null
 	((ret |= $?))
 
 	kill -9 $pid
@@ -93,7 +93,7 @@
 	#
 	# mirror:/disks/d ONLINE mirror:/disks/e ONLINE stripe:/disks/f ONLINE
 	#
-	set -A dev_stat_tab $($ZPOOL status -v $pool | $NAWK 'BEGIN {start=0} \
+	set -A dev_stat_tab $(zpool status -v $pool | nawk 'BEGIN {start=0} \
 				/\tcache/ {start=1}
 				/\tmirror/ || /\tspares/ || /^$/ {start=0}
 				(start==1) && /\t  (\/|[a-zA-Z])/ \
@@ -148,6 +148,6 @@
 
 function verify_cache_support
 {
-	$ZPOOL upgrade -v | $GREP "Cache devices" > /dev/null 2>&1
+	zpool upgrade -v | grep "Cache devices" > /dev/null 2>&1
 	return $?
 }
--- old/usr/src/test/zfs-tests/tests/functional/cache/cache_001_pos.ksh	Wed Aug 31 16:20:26 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cache/cache_001_pos.ksh	Wed Aug 31 16:20:26 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cache/cache.cfg
@@ -49,7 +49,7 @@
 
 for type in "" "mirror" "raidz" "raidz2"
 do
-	log_must $ZPOOL create $TESTPOOL $type $VDEV \
+	log_must zpool create $TESTPOOL $type $VDEV \
 		cache $LDEV
 	log_must display_status $TESTPOOL
 
@@ -56,10 +56,10 @@
 	ldev=$(random_get $LDEV)
 	log_must verify_cache_device $TESTPOOL $ldev 'ONLINE'
 
-	log_must $ZPOOL remove $TESTPOOL $ldev
+	log_must zpool remove $TESTPOOL $ldev
 	log_must check_vdev_state $TESTPOOL $ldev ""
 
-	log_must $ZPOOL destroy -f $TESTPOOL
+	log_must zpool destroy -f $TESTPOOL
 done
 
 log_pass "Creating a pool with a cache device succeeds."
--- old/usr/src/test/zfs-tests/tests/functional/cache/cache_002_pos.ksh	Wed Aug 31 16:20:27 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cache/cache_002_pos.ksh	Wed Aug 31 16:20:27 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cache/cache.cfg
@@ -50,16 +50,16 @@
 
 for type in "" "mirror" "raidz" "raidz2"
 do
-	log_must $ZPOOL create $TESTPOOL $type $VDEV
-	log_must $ZPOOL add $TESTPOOL cache $LDEV
+	log_must zpool create $TESTPOOL $type $VDEV
+	log_must zpool add $TESTPOOL cache $LDEV
 	log_must display_status $TESTPOOL
 	typeset ldev=$(random_get $LDEV)
 	log_must verify_cache_device $TESTPOOL $ldev 'ONLINE'
 
-	log_must $ZPOOL remove $TESTPOOL $ldev
+	log_must zpool remove $TESTPOOL $ldev
 	log_must check_vdev_state $TESTPOOL $ldev ""
 
-	log_must $ZPOOL destroy -f $TESTPOOL
+	log_must zpool destroy -f $TESTPOOL
 done
 
 log_pass "Adding a cache device to normal pool works."
--- old/usr/src/test/zfs-tests/tests/functional/cache/cache_003_pos.ksh	Wed Aug 31 16:20:27 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cache/cache_003_pos.ksh	Wed Aug 31 16:20:27 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cache/cache.cfg
@@ -51,9 +51,9 @@
 
 for type in "" "mirror" "raidz" "raidz2"
 do
-	log_must $ZPOOL create $TESTPOOL $type $VDEV \
+	log_must zpool create $TESTPOOL $type $VDEV \
 		cache $LDEV
-	log_must $ZPOOL add $TESTPOOL \
+	log_must zpool add $TESTPOOL \
 		cache $LDEV2
 
 	log_must display_status $TESTPOOL
@@ -60,10 +60,10 @@
 	ldev=$(random_get $LDEV2)
 	log_must verify_cache_device $TESTPOOL $ldev 'ONLINE'
 
-	log_must $ZPOOL remove $TESTPOOL $ldev
+	log_must zpool remove $TESTPOOL $ldev
 	log_must check_vdev_state $TESTPOOL $ldev ""
 
-	log_must $ZPOOL destroy -f $TESTPOOL
+	log_must zpool destroy -f $TESTPOOL
 done
 
 log_pass "Adding an extra cache device works."
--- old/usr/src/test/zfs-tests/tests/functional/cache/cache_004_neg.ksh	Wed Aug 31 16:20:27 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cache/cache_004_neg.ksh	Wed Aug 31 16:20:27 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cache/cache.cfg
@@ -50,15 +50,15 @@
 
 for type in "" "mirror" "raidz" "raidz2"
 do
-	log_must $ZPOOL create $TESTPOOL $type $VDEV \
+	log_must zpool create $TESTPOOL $type $VDEV \
 		cache $LDEV
 
 	ldev=$(random_get $LDEV)
 	typeset ldev2=$(random_get $LDEV2)
-	log_mustnot $ZPOOL attach $TESTPOOL $ldev $ldev2
+	log_mustnot zpool attach $TESTPOOL $ldev $ldev2
 	log_must check_vdev_state $TESTPOOL $ldev2 ""
 
-	log_must $ZPOOL destroy -f $TESTPOOL
+	log_must zpool destroy -f $TESTPOOL
 done
 
 log_pass "Attaching a cache device fails for an existing cache device."
--- old/usr/src/test/zfs-tests/tests/functional/cache/cache_005_neg.ksh	Wed Aug 31 16:20:27 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cache/cache_005_neg.ksh	Wed Aug 31 16:20:27 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cache/cache.cfg
@@ -51,15 +51,15 @@
 
 for type in "" "mirror" "raidz" "raidz2"
 do
-	log_must $ZPOOL create $TESTPOOL $type $VDEV \
+	log_must zpool create $TESTPOOL $type $VDEV \
 		cache $LDEV
 	sdev=$(random_get $LDEV)
 	tdev=$(random_get $LDEV2)
-	log_mustnot $ZPOOL replace $TESTPOOL $sdev $tdev
+	log_mustnot zpool replace $TESTPOOL $sdev $tdev
 	log_must verify_cache_device $TESTPOOL $sdev 'ONLINE'
 	log_must check_vdev_state $TESTPOOL $tdev ""
 
-	log_must $ZPOOL destroy -f $TESTPOOL
+	log_must zpool destroy -f $TESTPOOL
 done
 
 log_pass "Replacing a cache device fails."
--- old/usr/src/test/zfs-tests/tests/functional/cache/cache_006_pos.ksh	Wed Aug 31 16:20:27 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cache/cache_006_pos.ksh	Wed Aug 31 16:20:27 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cache/cache.cfg
@@ -53,7 +53,7 @@
 
 for type in "" "mirror" "raidz" "raidz2"
 do
-	log_must $ZPOOL create $TESTPOOL $type $VDEV \
+	log_must zpool create $TESTPOOL $type $VDEV \
 		cache $LDEV $LDEV2
 	ldev=$(random_get $LDEV $LDEV2)
 	log_must verify_cache_device \
@@ -62,8 +62,8 @@
 	#
 	# Nomal export/import operating
 	#
-	log_must $ZPOOL export $TESTPOOL
-	log_must $ZPOOL import -d $VDIR $TESTPOOL
+	log_must zpool export $TESTPOOL
+	log_must zpool import -d $VDIR $TESTPOOL
 	log_must display_status $TESTPOOL
 	ldev=$(random_get $LDEV $LDEV2)
 	log_must verify_cache_device \
@@ -72,14 +72,14 @@
 	#
 	# Destroy the pool and import again
 	#
-	log_must $ZPOOL destroy $TESTPOOL
-	log_must $ZPOOL import -Df -d $VDIR $TESTPOOL
+	log_must zpool destroy $TESTPOOL
+	log_must zpool import -Df -d $VDIR $TESTPOOL
 	log_must display_status $TESTPOOL
 	ldev=$(random_get $LDEV $LDEV2)
 	log_must verify_cache_device \
 		$TESTPOOL $ldev 'ONLINE'
 
-	log_must $ZPOOL destroy -f $TESTPOOL
+	log_must zpool destroy -f $TESTPOOL
 done
 
 log_pass "Exporting and importing pool with cache devices passes."
--- old/usr/src/test/zfs-tests/tests/functional/cache/cache_007_neg.ksh	Wed Aug 31 16:20:27 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cache/cache_007_neg.ksh	Wed Aug 31 16:20:27 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cache/cache.cfg
@@ -51,7 +51,7 @@
 do
 	for cachetype in "mirror" "raidz" "raidz1" "raidz2"
 	do
-		log_mustnot $ZPOOL create $TESTPOOL $type $VDEV \
+		log_mustnot zpool create $TESTPOOL $type $VDEV \
 			cache $cachetype $LDEV $LDEV2
 		ldev=$(random_get $LDEV $LDEV2)
 		log_mustnot verify_cache_device \
--- old/usr/src/test/zfs-tests/tests/functional/cache/cache_008_neg.ksh	Wed Aug 31 16:20:27 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cache/cache_008_neg.ksh	Wed Aug 31 16:20:27 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cache/cache.cfg
@@ -52,15 +52,15 @@
 do
 	for cachetype in "mirror" "raidz" "raidz1" "raidz2"
 	do
-		log_must $ZPOOL create $TESTPOOL $type $VDEV \
+		log_must zpool create $TESTPOOL $type $VDEV \
 			cache $LDEV
 
-		log_mustnot $ZPOOL add $TESTPOOL cache $cachetype $LDEV2
+		log_mustnot zpool add $TESTPOOL cache $cachetype $LDEV2
 		ldev=$(random_get $LDEV2)
 		log_mustnot verify_cache_device \
 			$TESTPOOL $ldev 'ONLINE' $cachetype
 
-		log_must $ZPOOL destroy $TESTPOOL
+		log_must zpool destroy $TESTPOOL
 	done
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cache/cache_009_pos.ksh	Wed Aug 31 16:20:27 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cache/cache_009_pos.ksh	Wed Aug 31 16:20:27 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cache/cache.cfg
@@ -51,19 +51,19 @@
 
 for type in "" "mirror" "raidz" "raidz2"
 do
-	log_must $ZPOOL create $TESTPOOL $type $VDEV \
+	log_must zpool create $TESTPOOL $type $VDEV \
 		cache $LDEV $LDEV2
 
 	ldev=$(random_get $LDEV $LDEV2)
-	log_must $ZPOOL offline $TESTPOOL $ldev
+	log_must zpool offline $TESTPOOL $ldev
 	log_must display_status $TESTPOOL
 	log_must verify_cache_device $TESTPOOL $ldev 'OFFLINE' ''
 
-	log_must $ZPOOL online $TESTPOOL $ldev
+	log_must zpool online $TESTPOOL $ldev
 	log_must display_status $TESTPOOL
 	log_must verify_cache_device $TESTPOOL $ldev 'ONLINE' ''
 
-	log_must $ZPOOL destroy -f $TESTPOOL
+	log_must zpool destroy -f $TESTPOOL
 done
 
 log_pass "Offline and online a cache device succeed."
--- old/usr/src/test/zfs-tests/tests/functional/cache/cache_010_neg.ksh	Wed Aug 31 16:20:27 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cache/cache_010_neg.ksh	Wed Aug 31 16:20:27 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cache/cache.cfg
@@ -48,7 +48,7 @@
 {
 	cleanup
 	if [[ -n $lofidev ]]; then
-		log_must $LOFIADM -d $lofidev
+		log_must lofiadm -d $lofidev
 	fi
 }
 
@@ -57,28 +57,28 @@
 
 TESTVOL=testvol1$$
 dsk1=${DISKS%% *}
-log_must $ZPOOL create $TESTPOOL ${DISKS#$dsk1}
+log_must zpool create $TESTPOOL ${DISKS#$dsk1}
 
 # Add nomal /dev/rdsk device
-log_mustnot $ZPOOL add $TESTPOOL cache /dev/rdsk/${dsk1}s0
+log_mustnot zpool add $TESTPOOL cache /dev/rdsk/${dsk1}s0
 #log_must verify_cache_device $TESTPOOL $dsk1 'ONLINE'
 
 # Add nomal file
-log_mustnot $ZPOOL add $TESTPOOL cache $VDEV2
+log_mustnot zpool add $TESTPOOL cache $VDEV2
 
 # Add /dev/rlofi device
 lofidev=${VDEV2%% *}
-log_must $LOFIADM -a $lofidev
-lofidev=$($LOFIADM $lofidev)
-log_mustnot $ZPOOL add $TESTPOOL cache "/dev/rlofi/${lofidev#/dev/lofi/}"
+log_must lofiadm -a $lofidev
+lofidev=$(lofiadm $lofidev)
+log_mustnot zpool add $TESTPOOL cache "/dev/rlofi/${lofidev#/dev/lofi/}"
 if [[ -n $lofidev ]]; then
-	log_must $LOFIADM -d $lofidev
+	log_must lofiadm -d $lofidev
 	lofidev=""
 fi
 
 # Add /dev/zvol/rdsk device
-log_must $ZPOOL create $TESTPOOL2 $VDEV2
-log_must $ZFS create -V $SIZE $TESTPOOL2/$TESTVOL
-log_mustnot $ZPOOL add $TESTPOOL cache /dev/zvol/rdsk/$TESTPOOL2/$TESTVOL
+log_must zpool create $TESTPOOL2 $VDEV2
+log_must zfs create -V $SIZE $TESTPOOL2/$TESTVOL
+log_mustnot zpool add $TESTPOOL cache /dev/zvol/rdsk/$TESTPOOL2/$TESTVOL
 
 log_pass "Cache device can only be block devices."
--- old/usr/src/test/zfs-tests/tests/functional/cache/cache_011_pos.ksh	Wed Aug 31 16:20:27 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cache/cache_011_pos.ksh	Wed Aug 31 16:20:27 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cache/cache.cfg
@@ -47,7 +47,7 @@
 
 function cleanup {
 	if datasetexists $TESTPOOL ; then
-		log_must $ZPOOL destroy -f $TESTPOOL
+		log_must zpool destroy -f $TESTPOOL
 	fi
 }
 
@@ -56,13 +56,13 @@
 
 for type in "" "mirror" "raidz" "raidz2"
 do
-	log_must $ZPOOL create $TESTPOOL $type $VDEV \
+	log_must zpool create $TESTPOOL $type $VDEV \
 		cache $LDEV spare $LDEV2
 
-	log_must $ZPOOL remove $TESTPOOL $LDEV
+	log_must zpool remove $TESTPOOL $LDEV
 	log_must display_status $TESTPOOL
 
-	log_must $ZPOOL destroy -f $TESTPOOL
+	log_must zpool destroy -f $TESTPOOL
 done
 
 log_pass "Remove cache device from pool with spare device should succeed"
--- old/usr/src/test/zfs-tests/tests/functional/cache/cleanup.ksh	Wed Aug 31 16:20:28 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cache/cleanup.ksh	Wed Aug 31 16:20:28 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cache/cache.cfg
@@ -35,12 +35,12 @@
 verify_runnable "global"
 
 if datasetexists $TESTPOOL ; then
-	log_must $ZPOOL destroy -f $TESTPOOL
+	log_must zpool destroy -f $TESTPOOL
 fi
 if datasetexists $TESTPOOL2 ; then
-	log_must $ZPOOL destroy -f $TESTPOOL2
+	log_must zpool destroy -f $TESTPOOL2
 fi
 
-log_must $RM -rf $VDIR $VDIR2
+log_must rm -rf $VDIR $VDIR2
 
 log_pass
--- old/usr/src/test/zfs-tests/tests/functional/cache/setup.ksh	Wed Aug 31 16:20:28 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cache/setup.ksh	Wed Aug 31 16:20:28 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cache/cache.cfg
@@ -38,8 +38,8 @@
 	log_unsupported "Only physical disk could be cache device"
 fi
 
-log_must $RM -rf $VDIR $VDIR2
-log_must $MKDIR -p $VDIR $VDIR2
-log_must $MKFILE $SIZE $VDEV $VDEV2
+log_must rm -rf $VDIR $VDIR2
+log_must mkdir -p $VDIR $VDIR2
+log_must mkfile $SIZE $VDEV $VDEV2
 
 log_pass
--- old/usr/src/test/zfs-tests/tests/functional/cachefile/cachefile.kshlib	Wed Aug 31 16:20:28 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cachefile/cachefile.kshlib	Wed Aug 31 16:20:28 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 #
@@ -38,7 +38,7 @@
 	# the given cachefile, default is /etc/zfs/zpool.cache
 	typeset cachefile=${2:-$CPATH}
 
-	RESULT=$($STRINGS $cachefile | $GREP -w $1)
+	RESULT=$(strings $cachefile | grep -w $1)
 	if [ -z "$RESULT" ]
 	then
 		return 1
--- old/usr/src/test/zfs-tests/tests/functional/cachefile/cachefile_001_pos.ksh	Wed Aug 31 16:20:28 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cachefile/cachefile_001_pos.ksh	Wed Aug 31 16:20:28 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -56,7 +56,7 @@
         fi
 	for file in $CPATH1 $CPATH2 ; do
 		if [[ -f $file ]] ; then
-			log_must $RM $file
+			log_must rm $file
 		fi
 	done
 }
@@ -74,7 +74,7 @@
 typeset -i i=0
 
 while (( i < ${#opts[*]} )); do
-	log_must $ZPOOL create -o cachefile=${opts[i]} $TESTPOOL $DISKS
+	log_must zpool create -o cachefile=${opts[i]} $TESTPOOL $DISKS
 	case ${opts[((i+1))]} in
 		false) log_mustnot pool_in_cache $TESTPOOL
 			;;
@@ -87,7 +87,7 @@
 		log_fail "cachefile property not set as expected. " \
 			"Expect: ${opts[((i+2))]}, Current: $PROP"
 	fi
-	log_must $ZPOOL destroy $TESTPOOL
+	log_must zpool destroy $TESTPOOL
 	(( i = i + 3 ))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cachefile/cachefile_002_pos.ksh	Wed Aug 31 16:20:28 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cachefile/cachefile_002_pos.ksh	Wed Aug 31 16:20:28 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -61,22 +61,22 @@
 log_assert "Importing a pool with \"cachefile\" set doesn't update zpool.cache"
 log_onexit cleanup
 
-log_must $ZPOOL create -o cachefile=none $TESTPOOL $DISKS
+log_must zpool create -o cachefile=none $TESTPOOL $DISKS
 typeset DEVICEDIR=$(get_device_dir $DISKS)
 log_mustnot pool_in_cache $TESTPOOL
 
-log_must $ZPOOL export $TESTPOOL
-log_must $ZPOOL import -d $DEVICEDIR $TESTPOOL
+log_must zpool export $TESTPOOL
+log_must zpool import -d $DEVICEDIR $TESTPOOL
 log_must pool_in_cache $TESTPOOL
 
-log_must $ZPOOL export $TESTPOOL
-log_must $ZPOOL import -o cachefile=none -d $DEVICEDIR $TESTPOOL
+log_must zpool export $TESTPOOL
+log_must zpool import -o cachefile=none -d $DEVICEDIR $TESTPOOL
 log_mustnot pool_in_cache $TESTPOOL
 
-log_must $ZPOOL export $TESTPOOL
-log_must $ZPOOL import -o cachefile=$CPATH -d $DEVICEDIR $TESTPOOL
+log_must zpool export $TESTPOOL
+log_must zpool import -o cachefile=$CPATH -d $DEVICEDIR $TESTPOOL
 log_must pool_in_cache $TESTPOOL
 
-log_must $ZPOOL destroy $TESTPOOL
+log_must zpool destroy $TESTPOOL
 
 log_pass "Importing a pool with \"cachefile\" set doesn't update zpool.cache"
--- old/usr/src/test/zfs-tests/tests/functional/cachefile/cachefile_003_pos.ksh	Wed Aug 31 16:20:28 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cachefile/cachefile_003_pos.ksh	Wed Aug 31 16:20:28 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -56,13 +56,13 @@
 
         for file in $CPATH1 $CPATH2 ; do
                 if [[ -f $file ]] ; then
-                        log_must $RM $file
+                        log_must rm $file
                 fi
         done
 
 	if [ -d $TESTDIR ]
 	then
-		$RMDIR $TESTDIR
+		rmdir $TESTDIR
 	fi
 }
 
@@ -80,7 +80,7 @@
 
 
 while (( i < ${#opts[*]} )); do
-	log_must $ZPOOL create -o altroot=$TESTDIR -o cachefile=${opts[i]} \
+	log_must zpool create -o altroot=$TESTDIR -o cachefile=${opts[i]} \
 		$TESTPOOL $DISKS
 	if [[ ${opts[i]} != none ]]; then
 		log_must pool_in_cache $TESTPOOL ${opts[i]}
@@ -93,7 +93,7 @@
 		log_fail "cachefile property not set as expected. " \
 			"Expect: ${opts[((i+1))]}, Current: $PROP"
 	fi
-	log_must $ZPOOL destroy $TESTPOOL
+	log_must zpool destroy $TESTPOOL
 	(( i = i + 2 ))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cachefile/cachefile_004_pos.ksh	Wed Aug 31 16:20:28 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cachefile/cachefile_004_pos.ksh	Wed Aug 31 16:20:28 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -59,7 +59,7 @@
 	typeset -i i=0
 	while ((i < 2)); do
 		if [[ -e $mntpnt/vdev$i ]]; then
-			log_must $RM -f $mntpnt/vdev$i
+			log_must rm -f $mntpnt/vdev$i
 		fi
 		((i += 1))
 	done
@@ -70,7 +70,7 @@
 
 	for file in $CPATH1 $CPATH2 ; do
 		if [[ -f $file ]] ; then
-			log_must $RM $file
+			log_must rm $file
 		fi
 	done
 }
@@ -79,44 +79,44 @@
 log_assert "Verify set, export and destroy when cachefile is set on pool."
 log_onexit cleanup
 
-log_must $ZPOOL create $TESTPOOL $DISKS
+log_must zpool create $TESTPOOL $DISKS
 
 mntpnt=$(get_prop mountpoint $TESTPOOL)
 typeset -i i=0
 while ((i < 2)); do
-	log_must $MKFILE $MINVDEVSIZE $mntpnt/vdev$i
+	log_must mkfile $MINVDEVSIZE $mntpnt/vdev$i
 	eval vdev$i=$mntpnt/vdev$i
 	((i += 1))
 done
 
-log_must $ZPOOL create -o cachefile=$CPATH1 $TESTPOOL1 $vdev0
+log_must zpool create -o cachefile=$CPATH1 $TESTPOOL1 $vdev0
 log_must pool_in_cache $TESTPOOL1 $CPATH1
-log_must $ZPOOL create -o cachefile=$CPATH1 $TESTPOOL2 $vdev1
+log_must zpool create -o cachefile=$CPATH1 $TESTPOOL2 $vdev1
 log_must pool_in_cache $TESTPOOL2 $CPATH1
 
-log_must $ZPOOL set cachefile=$CPATH2 $TESTPOOL1
+log_must zpool set cachefile=$CPATH2 $TESTPOOL1
 log_must pool_in_cache $TESTPOOL1 $CPATH2
-log_must $ZPOOL set cachefile=$CPATH2 $TESTPOOL2
+log_must zpool set cachefile=$CPATH2 $TESTPOOL2
 log_must pool_in_cache $TESTPOOL2 $CPATH2
 if [[ -f $CPATH1 ]]; then
 	log_fail "Verify set when cachefile is set on pool."
 fi
 
-log_must $ZPOOL export $TESTPOOL1
-log_must $ZPOOL export $TESTPOOL2
+log_must zpool export $TESTPOOL1
+log_must zpool export $TESTPOOL2
 if [[ -f $CPATH2 ]]; then
 	log_fail "Verify export when cachefile is set on pool."
 fi
 
-log_must $ZPOOL import -d $mntpnt $TESTPOOL1
-log_must $ZPOOL set cachefile=$CPATH2 $TESTPOOL1
+log_must zpool import -d $mntpnt $TESTPOOL1
+log_must zpool set cachefile=$CPATH2 $TESTPOOL1
 log_must pool_in_cache $TESTPOOL1 $CPATH2
-log_must $ZPOOL import -d $mntpnt $TESTPOOL2
-log_must $ZPOOL set cachefile=$CPATH2 $TESTPOOL2
+log_must zpool import -d $mntpnt $TESTPOOL2
+log_must zpool set cachefile=$CPATH2 $TESTPOOL2
 log_must pool_in_cache $TESTPOOL2 $CPATH2
 
-log_must $ZPOOL destroy $TESTPOOL1
-log_must $ZPOOL destroy $TESTPOOL2
+log_must zpool destroy $TESTPOOL1
+log_must zpool destroy $TESTPOOL2
 if [[ -f $CPATH2 ]]; then
 	log_fail "Verify destroy when cachefile is set on pool."
 fi
--- old/usr/src/test/zfs-tests/tests/functional/casenorm/casenorm.cfg	Wed Aug 31 16:20:28 2016
+++ new/usr/src/test/zfs-tests/tests/functional/casenorm/casenorm.cfg	Wed Aug 31 16:20:28 2016
@@ -13,12 +13,16 @@
 # Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
 #
 
-NAME_C_ORIG=$($ECHO 'F\0303\0257L\0303\0253N\0303\0204m\0303\0253')
-NAME_C_UPPER=$($ECHO 'F\0303\0217L\0303\0213N\0303\0204M\0303\0213')
-NAME_C_LOWER=$($ECHO 'f\0303\0257l\0303\0253n\0303\0244m\0303\0253')
-NAME_D_ORIG=$($ECHO 'Fi\0314\0210Le\0314\0210NA\0314\0210me\0314\0210')
-NAME_D_UPPER=$($ECHO 'FI\0314\0210LE\0314\0210NA\0314\0210ME\0314\0210')
-NAME_D_LOWER=$($ECHO 'fi\0314\0210le\0314\0210na\0314\0210me\0314\0210')
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
+NAME_C_ORIG=$(echo 'F\0303\0257L\0303\0253N\0303\0204m\0303\0253')
+NAME_C_UPPER=$(echo 'F\0303\0217L\0303\0213N\0303\0204M\0303\0213')
+NAME_C_LOWER=$(echo 'f\0303\0257l\0303\0253n\0303\0244m\0303\0253')
+NAME_D_ORIG=$(echo 'Fi\0314\0210Le\0314\0210NA\0314\0210me\0314\0210')
+NAME_D_UPPER=$(echo 'FI\0314\0210LE\0314\0210NA\0314\0210ME\0314\0210')
+NAME_D_LOWER=$(echo 'fi\0314\0210le\0314\0210na\0314\0210me\0314\0210')
 NAMES_ORIG="$NAME_C_ORIG $NAME_D_ORIG"
 NAMES_UPPER="$NAME_C_UPPER $NAME_D_UPPER"
 NAMES_LOWER="$NAME_C_LOWER $NAME_D_LOWER"
--- old/usr/src/test/zfs-tests/tests/functional/casenorm/casenorm.kshlib	Wed Aug 31 16:20:28 2016
+++ new/usr/src/test/zfs-tests/tests/functional/casenorm/casenorm.kshlib	Wed Aug 31 16:20:28 2016
@@ -13,6 +13,10 @@
 # Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/casenorm/casenorm.cfg
 
@@ -20,18 +24,18 @@
 {
 	typeset opts=$1
 
-	$RM -rf $TESTDIR || log_unresolved Could not remove $TESTDIR
-	$MKDIR -p $TESTDIR || log_unresolved Could not create $TESTDIR
+	rm -rf $TESTDIR || log_unresolved Could not remove $TESTDIR
+	mkdir -p $TESTDIR || log_unresolved Could not create $TESTDIR
 
-	log_must $ZFS create $opts $TESTPOOL/$TESTFS
-	log_must $ZFS set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
+	log_must zfs create $opts $TESTPOOL/$TESTFS
+	log_must zfs set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
 }
 
 function destroy_testfs
 {
 	if datasetexists $TESTPOOL/$TESTFS ; then
-		log_must $ZFS destroy -f $TESTPOOL/$TESTFS
-		$RM -rf $TESTDIR || log_unresolved Could not remove $TESTDIR
+		log_must zfs destroy -f $TESTPOOL/$TESTFS
+		rm -rf $TESTDIR || log_unresolved Could not remove $TESTDIR
 	fi
 }
 
@@ -39,7 +43,7 @@
 {
 	typeset name=$TESTDIR/$1
 
-	$ECHO $name > $name
+	echo $name > $name
 }
 
 function delete_file
@@ -46,7 +50,7 @@
 {
 	typeset name=$TESTDIR/$1
 
-	$RM $name >/dev/null 2>&1
+	rm $name >/dev/null 2>&1
 
 	if [[ $? -ne 0 ]] ; then
 		return 1
@@ -61,7 +65,7 @@
 {
 	typeset name=$1
 
-	$ZLOOK -l $TESTDIR $name >/dev/null 2>&1
+	zlook -l $TESTDIR $name >/dev/null 2>&1
 }
 
 function lookup_file_ci
@@ -68,7 +72,7 @@
 {
 	typeset name=$1
 
-	$ZLOOK -il $TESTDIR $name >/dev/null 2>&1
+	zlook -il $TESTDIR $name >/dev/null 2>&1
 }
 
 function lookup_any
--- old/usr/src/test/zfs-tests/tests/functional/casenorm/norm_all_values.ksh	Wed Aug 31 16:20:28 2016
+++ new/usr/src/test/zfs-tests/tests/functional/casenorm/norm_all_values.ksh	Wed Aug 31 16:20:28 2016
@@ -15,6 +15,10 @@
 # Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/casenorm/casenorm.kshlib
 
 # DESCRIPTION:
@@ -39,7 +43,7 @@
 for form in none formC formD formKC formKD; do
 	create_testfs "-o normalization=$form"
 	if [[ $form != "none" ]] ; then
-		utf8only=$($ZFS get -H -o value utf8only $TESTPOOL/$TESTFS)
+		utf8only=$(zfs get -H -o value utf8only $TESTPOOL/$TESTFS)
 		if [[ $utf8only != "on" ]]; then
 			log_fail "Turning on normalization didn't set " \
 			    "utf8only to on"
@@ -49,7 +53,7 @@
 done
 
 for form in formC formD formKC formKD; do
-	log_mustnot $ZFS create -o utf8only=off -o normalization=$form \
+	log_mustnot zfs create -o utf8only=off -o normalization=$form \
 	    $TESTPOOL/$TESTFS
 	destroy_testfs
 done
--- old/usr/src/test/zfs-tests/tests/functional/casenorm/setup.ksh	Wed Aug 31 16:20:29 2016
+++ new/usr/src/test/zfs-tests/tests/functional/casenorm/setup.ksh	Wed Aug 31 16:20:29 2016
@@ -15,9 +15,13 @@
 # Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 verify_runnable "global"
 DISK=${DISKS%% *}
-log_must $ZPOOL create $TESTPOOL $DISK
+log_must zpool create $TESTPOOL $DISK
 log_pass
--- old/usr/src/test/zfs-tests/tests/functional/checksum/run_edonr_test.ksh	Wed Aug 31 16:20:29 2016
+++ new/usr/src/test/zfs-tests/tests/functional/checksum/run_edonr_test.ksh	Wed Aug 31 16:20:29 2016
@@ -12,7 +12,7 @@
 #
 
 #
-# Copyright (c) 2015 by Delphix. All rights reserved.
+# Copyright (c) 2015, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -25,7 +25,7 @@
 log_assert "Run the tests for the EdonR hash algorithm."
 
 freq=$(get_cpu_freq)
-for isa in $($ISAINFO); do
+for isa in $(isainfo); do
 	log_must $STF_SUITE/tests/functional/checksum/edonr_test.$isa $freq
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/checksum/run_sha2_test.ksh	Wed Aug 31 16:20:29 2016
+++ new/usr/src/test/zfs-tests/tests/functional/checksum/run_sha2_test.ksh	Wed Aug 31 16:20:29 2016
@@ -12,7 +12,7 @@
 #
 
 #
-# Copyright (c) 2015 by Delphix. All rights reserved.
+# Copyright (c) 2015, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -25,7 +25,7 @@
 log_assert "Run the tests for the SHA-2 hash algorithm."
 
 freq=$(get_cpu_freq)
-for isa in $($ISAINFO); do
+for isa in $(isainfo); do
 	log_must $STF_SUITE/tests/functional/checksum/sha2_test.$isa $freq
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/checksum/run_skein_test.ksh	Wed Aug 31 16:20:29 2016
+++ new/usr/src/test/zfs-tests/tests/functional/checksum/run_skein_test.ksh	Wed Aug 31 16:20:29 2016
@@ -12,7 +12,7 @@
 #
 
 #
-# Copyright (c) 2015 by Delphix. All rights reserved.
+# Copyright (c) 2015, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -25,7 +25,7 @@
 log_assert "Run the tests for the Skein hash algorithm."
 
 freq=$(get_cpu_freq)
-for isa in $($ISAINFO); do
+for isa in $(isainfo); do
 	log_must $STF_SUITE/tests/functional/checksum/skein_test.$isa $freq
 done
 
